<div class="login-form-wrapper">
    <div class="login-form">

        <div class="logo" fxHide.gt-xs style="color: white">
            <img alt="Angular Logo" height="100px" src="../../assets/images/backgrounds/logo_gamsc.jpg">
        </div>
        <br>
        <div class="title">Recuperar password</div>
        
        <form [formGroup]="form" (ngSubmit)="form.valid && recuperarPassword()">
            <fieldset [disabled]="loginLoading">
                <mat-form-field appearance="fill">
                    <mat-label>Email</mat-label>
                    <input matInput type="email" placeholder="Ingrese su email" formControlName="email">
        
                    <mat-error *ngIf="form.controls['email'].hasError('email')" class="form-control-feedback">
                        Email incorrecto
                    </mat-error>
                    <mat-error *ngIf="form.controls['email'].hasError('required')" class="form-control-feedback">
                        Email es requerido
                    </mat-error>
                </mat-form-field>   

                <button type="submit" [disabled]="loginLoading" mat-raised-button color="primary">Recuperar Password</button>
            </fieldset>
        </form>
        
        <div class="redirection">
            <span class="text">Tienes una cuenta?</span>
            <a class="link" routerLink="/auth/login">Iniciar Sesión</a>
        </div>
        
        <mat-spinner class="loading" [diameter]="25" *ngIf="loginLoading">
        </mat-spinner>
        

    </div>
</div>

